Subject: Re: [PATCH v5 2/4] gpio: Allow PC/104 devices on X86_64

From: Greg KH <[email-masked]>
Date: Tue, 31 May 2016 08:25:41 -0700

On Tue, May 31, 2016 at 07:23:06AM -0400, William Breathitt Gray wrote:
> On Tue, May 31, 2016 at 10:41:49AM +0200, Linus Walleij wrote:
> >On Sat, May 28, 2016 at 12:08 AM, William Breathitt Gray
> ><[email-masked]> wrote:
> >
> >> With the introduction of the ISA_BUS_API Kconfig option, ISA-style
> >> drivers may be built for X86_64 architectures. This patch changes the
> >> ISA Kconfig option dependency of the PC/104 drivers to ISA_BUS_API, thus
> >> allowing them to build for X86_64 as they are expected to.
> >>
> >> Cc: Alexandre Courbot <[email-masked]>
> >> Cc: Linus Walleij <[email-masked]>
> >> Reviewed-by: Guenter Roeck <[email-masked]>
> >> Signed-off-by: William Breathitt Gray <[email-masked]>
> >
> >Acked-by: Linus Walleij <[email-masked]>
> >
> >Or should I apply this directly to the GPIO tree?
> >
> >Yours,
> >Linus Walleij
> 
> Greg K-H,
> 
> Would you be able to pick up this entire patchset via driver-core; I
> figure that tree is the most appropriate to receive any core ISA bus
> driver changes (unless you see a more fitting path to take).
> 
> If possible, I'd like this patchset to find its way into one of the
> coming release candidates in order to resolve the regression mentioned
> in the cover letter: as of 4.7-rc1, the drivers which switched to
> utilize the ISA bus driver are now restricted to X86_32 despite being
> allowed in X86_64 in the 4.6 release.

Yes, I can take this through the driver core tree as that's where the
original series came from...

thanks,

greg k-h